maven-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Todd Thiessen" <thies...@nortel.com>
Subject RE: classpath ordering
Date Wed, 11 Mar 2009 16:30:30 GMT
Defining what version of the jar to use in the depedencyManagement
section doesn't work here?

---
Todd Thiessen
 

> -----Original Message-----
> From: Wayne Fay [mailto:waynefay@gmail.com] 
> Sent: Wednesday, March 11, 2009 12:26 PM
> To: Maven Users List
> Subject: Re: classpath ordering
> 
> > I'm using gwt, and Google folks had the strange idea to 
> include some 
> > old version of apache commons-* in the jar.
> > I get NoSuchMethodError in unit tests becausse I can't specify the 
> > classpath ordering of my dependencies during tests.
> 
> Even if you could hack Surefire to include the newer Commons 
> jar in front of the GWT jar, how do you plan to get this to 
> run once you're done with it? Eventually you're going to run 
> into this again in your j2ee container, right?
> 
> It seems the more pragmatic solution would be to change your 
> code to use the old Commons API. Or perhaps modify the GWT 
> jar and remove the old Commons files, and encourage the GWT 
> devs to bump their files to a more recent version in a future release.
> 
> Wayne
> 
> ---------------------------------------------------------------------
> To unsubscribe, e-mail: users-unsubscribe@maven.apache.org
> For additional commands, e-mail: users-help@maven.apache.org
> 
> 

---------------------------------------------------------------------
To unsubscribe, e-mail: users-unsubscribe@maven.apache.org
For additional commands, e-mail: users-help@maven.apache.org


Mime
View raw message